// packageE/member_levelNav/level_nav.js
const app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {
    pageData: {},
    memberInfo: {},
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getData();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},
  getData() {
    let that = this;
    let urlStr = app.getNetAddresss("plugin.first-class.api.set.indexInfo");
    app._getNetWork({
      url: urlStr,
      data: { index: "index" },
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          that.setData({
            pageData: res.data.index.set,
            memberInfo: res.data.index.member_level,
          });
          wx.setNavigationBarTitle({
            title: res.data.index.set.title || "",
          });
        } else {
          wx.showToast({
            icon: "none",
            title: res.msg,
            duration: 1500,
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  },
  goPage(e) {
    let id = e.currentTarget.dataset.id;
    let url = e.currentTarget.dataset.url;
    let myLevel = this.data.memberInfo.yz_member.level_id;

    if (id == "-1" || id == myLevel) {
      try {
        wx.navigateTo({
          url: url,
        });
      } catch (e) {
        wx.showToast({
          title: "链接设置错误",
          icon: "none",
          duration: 1200,
        });
      }
    } else {
      wx.showToast({
        icon: "none",
        title: "级别不符,请选择对应等级",
        duration: 1200,
      });
    }
  },
  calliPhone() {
    wx.makePhoneCall({
      phoneNumber: this.data.pageData.mobile,
    });
  },
});
